.truck {
   width: 35em;
   height: 10em;
   font-size: 10px;
   background-color: rgb(255, 255, 255);
   border-radius: 0.4em;
   position: relative;

   &::before,
   &:after {
      content: '';
      position: absolute;
      box-sizing: border-box;
      width: 3em;
      height: 3em;
      background-color: rgb(255, 255, 255);
      border: 0.3em solid rgb(36, 36, 36);
      border-radius: 50%;
      bottom: -1.5em;
   }

   animation: put-put 2s infinite,
   move 6s infinite;
}

@keyframes put-put {
   0% {
      margin-top: 0;
      height: 10em;
   }

   5% {
      margin-top: -0.2em;
      height: 10.2em;
   }

   20% {
      margin-top: -0.1em;
      height: 10em;
   }

   35% {
      margin-top: 0.1em;
      height: 9.9em;
   }

   40% {
      margin-top: -0.1em;
      height: 10.1em;
   }

   60% {
      margin-top: 0.1em;
      height: 9.9em;
   }

   75% {
      margin-top: 0;
      height: 10em;
   }

   80% {
      margin-top: -0.4em;
      height: 10.2em;
   }

   100% {
      margin-top: 0.1em;
      height: 9.9em;
   }
}

@keyframes move {
   0% {
      margin-left: 70%;
   }

   50% {
      margin-left: 32%;
   }

   100% {
      margin-left: 8%;
   }

   0%,
   80%,
   100% {
      filter: opacity(0);
   }

   40%,
   70% {
      filter: opacity(1);
   }
}

.cab::after {
   content: '';
   position: absolute;
   box-sizing: border-box;
   width: 3em;
   height: 3em;
   background-color: rgb(255, 255, 255);
   border: 0.3em solid rgb(36, 36, 36);
   border-radius: 50%;
   bottom: -1.5em;
}

.truck::before {
   left: 0.6em;
}

.truck::after {
   right: 0.6em;
}

hr {
   color: #fff;
   width: 100%;
   position: relative;
   top: 14px;
}

.cab {
   position: absolute;
   width: 7.3em;
   height: 4.5em;
   background-color: rgb(255, 255, 255);
   left: -7.8em;
   bottom: 0;
   border-radius: 40% 0 0.4em 0.4em;
}

.cab::before {
   content: '';
   position: absolute;
   width: 4em;
   height: 3.5em;
   background-color: rgb(255, 255, 255);
   top: -3.2em;
   right: 0;
   border-radius: 100% 0 0 0;
}

.cab::after {
   left: 0.5em;
}

.smoke,
.smoke::before,
.smoke::after {
   content: '';
   position: absolute;
   width: 1em;
   height: 1em;
   background-color: rgb(255, 255, 255);
   right: -0.1em;
   bottom: -0.5em;
   border-radius: 50%;
}

.smoke {
   animation:
      drift 2s infinite,
      smoke-1 2s infinite;
}

.smoke::before {
   animation:
      drift 3s infinite,
      smoke-2 3s infinite;
}

.smoke::after {
   animation:
      drift 4s infinite,
      smoke-3 4s infinite;
}

@keyframes drift {

   0%,
   100% {
      filter: opacity(0);
   }

   15% {
      filter: opacity(0.9);
   }
}

@keyframes smoke-1 {
   to {
      width: 3em;
      height: 3em;
      right: -3em;
      bottom: 0.5em;
   }
}

@keyframes smoke-2 {
   to {
      width: 2.5em;
      height: 2.5em;
      right: -6em;
      bottom: 0.8em;
   }
}

@keyframes smoke-3 {
   to {
      width: 3.5em;
      height: 3.5em;
      right: -4em;
      bottom: 0.2em;
   }
}